image: debian:11.0-slim

stages:
  - 📝publish
  - 🧽clean

variables:
  SUB_GROUP: "poc"

pages:
  stage: 📝publish
  before_script:
    - apt update
    - apt install -y gettext
  script:
    - envsubst < src/index.html.tpl > public/index.html
    - echo "🚀 Deploy on ${CI_ENVIRONMENT_NAME} on ${CI_PAGES_URL}"
  artifacts:
    paths:
      - public
  rules:
    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  environment:
    name: production
    # if it's a project of a user: https://<user-handle>.froggit.page/<project-name>
    # if it's a group: https://<group-name>.froggit.page/<sub-group-name>/<project-name>
    url: "${CI_PAGES_URL}"

pages:preview:
  extends: pages
  artifacts:
    expire_in: 1 week
  rules:
    - if: $CI_MERGE_REQUEST_IID
  environment:
    name: preview/${CI_COMMIT_REF_NAME}
    url: "https://${CI_PROJECT_ROOT_NAMESPACE}.${CI_PAGES_DOMAIN}/-/${SUB_GROUP}/${CI_PROJECT_NAME}/-/jobs/${CI_JOB_ID}/artifacts/public/index.html"
    on_stop: pages:preview:stop

pages:preview:stop:
  stage: 🧽clean
  rules:
    - if: $CI_MERGE_REQUEST_IID
      when: manual
  allow_failure: true
  environment:
    name: preview/${CI_COMMIT_REF_NAME}
    action: stop
  script:
    - echo "👋 bye"

